Name: gnome-print
Version: 0.36
Release: alt7

Summary: Printing libraries for GNOME

License: LGPL
Group: System/Libraries
Url: http://www.gnome.org/

Packager: Vitaly Lipatov <lav@altlinux.ru>

BuildPreReq: gdk-pixbuf-devel >= 0.7.0
Source: ftp://ftp.gnome.org/pub/GNOME/stable/sources/gnome-print/%name-%version.tar.bz2
Patch: %name-0.28-psgen.patch.bz2
Patch1: %name-0.25-koihyphen.patch.bz2
Patch2: %name-0.34-afm.patch.bz2
Patch3: %name-%version-ft.patch
PreReq: gnome-libs
PreReq: urw-fonts >= 2.0-alt11
PreReq: libxml

# Automatically added by buildreq on Sun May 23 2004 (-bi)
BuildRequires: ORBit-devel XFree86-KOI8-75dpi-fonts XFree86-devel XFree86-libs XFree86-xfs esound-devel freefont-fonts-ttf freetype2-devel gdk-pixbuf-devel ghostscript-classic ghostscript-common ghostscript-module-X glib-devel gnome-libs-devel gtk+-devel imlib-devel libaudiofile-devel libdb1-devel libgimp-print libxml-devel val-fonts-ttf xpm-devel zlib-devel

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window manager
for the X Window System. GNOME is similar in purpose and scope to CDE and KDE,
but GNOME is based completely on free software. The gnome-print package
contains libraries and fonts that are needed by GNOME applications wanting to
print.

You should install the gnome-print package if you intend on using any of the
GNOME applications that can print. If you would like to develop GNOME
applications that can print you will also need to install the gnome-print devel
package.

%package -n libgnomeprint
Summary: Libraries for Gnome-Print
Group: System/Libraries
%description -n libgnomeprint
This package provides shared libraries to use Gnome-Print.

%package -n libgnomeprint-devel
Summary: Libraries and include files for developing GNOME applications
Group: Development/C
Requires: %name = %version-%release
Requires: libgnomeprint = %version-%release
Provides: %name-devel
Obsoletes: %name-devel
%description -n libgnomeprint-devel
You should install the libgnomeprint-devel package if you would like to develop
GNOME applications that will use the GNOME printing facilities. You don't need
to install the libgnomeprint-devel package if you just want to use the GNOME
desktop enviornment.

%package -n libgnomeprint-devel-static
Summary: Static libraries files for developing GNOME applications
Group: Development/C
Requires: %name = %version-%release
Requires: libgnomeprint-devel = %version-%release
%description -n libgnomeprint-devel-static
Static libraries for development with gnome-print

%prep
%setup -q -n %name-%version

# ALT: non-Latin1 support for first ps-driver
%patch -p1
# ALT: hyphen in koi8. Hack!
%patch1 -p1
# big afm patch
#%patch2 -p1
# ALT: for freetype
%patch3

%build
CFLAGS="$RPM_OPT_FLAGS `gdk-pixbuf-config --cflags`" %configure --localstatedir=%localstatedir
%make_build

%install
%makeinstall localstatedir=$RPM_BUILD_ROOT%localstatedir
%find_lang %name
#install -m 644 run-gnome-font-install $RPM_BUILD_ROOT%_datadir/fonts
#cd fonts
#install -m 644 *.font $RPM_BUILD_ROOT%_datadir/fonts

#%post
#perl %_datadir/fonts/run-gnome-font-install \
#	%_bindir/gnome-font-install %_datadir %_datadir

%post -n libgnomeprint -p  /sbin/ldconfig

%postun -n libgnomeprint -p  /sbin/ldconfig

%files -f %name.lang
%doc AUTHORS COPYING ChangeLog NEWS README
%_bindir/*
#%_datadir/fonts/afms/adobe/*
#%_datadir/fonts/*.font
#%_datadir/fonts/run-gnome-font-install

%files -n libgnomeprint
%_libdir/lib*.so.*
%dir %_datadir/gnome-print/
%config %_datadir/gnome-print/profiles/PostscriptOptimized.profile
%config %_datadir/gnome-print/profiles/pdf.profile
%config %_datadir/gnome-print/profiles/fax-g3.profile
%dir %_sysconfdir/gnome/fonts
%config %_sysconfdir/gnome/fonts/gnome-print*

%files -n libgnomeprint-devel
%_libdir/lib*.so
#%_libdir/*.la
%_libdir/*.sh
%_includedir/gnome-1.0/*
%_libdir/*.a

%changelog
* Sat Dec 25 2004 Vitaly Lipatov <lav@altlinux.ru> 0.36-alt7
- change packager
- add fix for new freetype library

* Sun May 23 2004 Vitaly Lipatov <lav@altlinux.ru> 0.36-alt6
- rebuild

* Sat Jan 03 2004 Vitaly Lipatov <lav@altlinux.ru> 0.36-alt5
- rebuild without *.la files
- build with gcc3.3 

* Tue Oct 22 2003 Nazar Yurpeak <phoenix@altlinux.org> 0.36-alt4
- updated BuildRequires

* Fri Oct 25 2002 Stanislav Ievlev <inger@altlinux.ru> 0.36-alt3
- remove deps on ghostscript-fonts
- little spec cleanup

* Sun Jun 02 2002 AEN <aen@logic.ru> 0.36-alt1
- new version

* Fri Mar 28 2002 AEN <aen@logic.ru> 0.35-alt2
- %files fixed

* Tue Jan 29 2002 AEN <aen@logic.ru> 0.35-alt1
- new version

* Tue Jan 15 2002 AEN <aen@logic.ru> 0.34-alt3
- rebuild with fixed fonts

* Tue Jan 08 2002 AEN <aen@logic.ru> 0.34-alt2
- new afm patch, based on urw-fonts-alt10

* Thu Dec 13 2001 AEN <aen@logic.ru> 0.34-alt1
- new release
- Patches 3 & 4 merged upstream

* Tue Nov 20 2001 AEN <aen@logic.ru> 0.29-alt9
- glyph width patch
* Fri Sep 14 2001 AEN <aen@logic.ru> 0.29-alt8
- patch fron hvv
* Thu Sep 06 2001 AEN <aen@logic.ru> 0.29-alt7
- sync with urw-fonts-alt7

* Thu Aug 30 2001 AEN <aen@logic.ru> 0.29-alt6
- new afm patch

* Mon Aug 13 2001 AEN <aen@logic.ru> 0.29-alt5
- new afm patch
* Wed Jul 25 2001 AEN <aen@logic.ru> 0.29-alt4
- new afm patch with hebrew metrics

* Tue Jul 17 2001 AEN <aen@logic.ru> 0.29-alt3
- new afm patch for new urw-fonts

* Mon Jun 18 2001 AEN <aen@logic.ru> 0.29-alt2
- gdk-pixbuf-devel added to BuildReq (thnx to Aleksey Voinov)

* Tue Jun 6 2001 AEN <aen@logic.ru> 0.29-alt1
- 0.29 release

* Thu May 31 2001 AEN <aen@logic.ru> 0.29-alt.0.1
- building test version from Lauris

* Mon Apr 9 2001 AEN <aen@logic.ru> 0.28-alt2
- afm patch

* Sat Apr 7 2001 AEN <aen@logic.ru> 0.28-alt1
- new version
- spec cleanup

* Thu Nov 30 2000 AEN <aen@logic.ru>
- hyphen for koi8 hack

* Wed Nov 29 2000 AEN <aen@logic.ru>
- PS generation for current encodind

* Mon Nov 28 2000 AEN <aen@logic.ru>
- build for RE

* Tue Nov 14 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.25-1mdk
- bump up version for gnumeric.
- for the file list use a macro to represent version.

* Wed Oct 11 2000 Daouda LO <daouda@mandrakesoft.com> 0.24-1mdk
- release

* Wed Sep  6 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.20-5mdk
- fixed langs
- removed %config for postscript profile

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.20-4mdk
- automatically added BuildRequires

* Mon Jul 31 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.20-3mdk
- Rebuild to remove dependency on alsa

* Fri Jul 21 2000 dam's <damien@mandrakesoft.com> 0.20-2mdk
- BM + macrozification.

* Thu Jun  8 2000 dam's <damien@mandrakesoft.com> 0.20-1mdk
- upgrading to helix version 0.20

* Fri Apr 14 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.18-2mdk
- fixed group, /me really-stupid

* Fri Apr 14 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.18-1mdk
- took srpm from Helix [grrr.. no changelog, why?]
